//
//  WiiRemoteDiscoveryAgent.h
//  WiiToMidi
//
//  Created by Mike Verdone on 19/03/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WiiRemote/WiiRemoteDiscovery.h>

#import "WiiMidiDelegate.h"

@interface WiiRemoteDiscoveryAgent : NSObject 
{
	NSMutableArray* _controllers;
	WiiRemoteDiscovery* _discovery;
}

+(WiiRemoteDiscoveryAgent*) getInstance;

-(id) init;
-(id) registerDelegate:(WiiMidiDelegate*)delegate;
-(id) unregisterDelegate:(WiiMidiDelegate*)delegate;

@end
